org.apache.commons.compress.harmony.unpack200.bytecode

## Class ExceptionTableEntry

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.ExceptionTableEntry

-     public class ExceptionTableEntry
      extends Object

  An entry in an exception table.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionTableEntry(int startPC, int endPC, int handlerPC, CPClass catchType)` Create a new ExceptionTableEntry.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CPClass` | `getCatchType()`
    `void` | `renumber(List<Integer> byteCodeOffsets)`
    `void` | `resolve(ClassConstantPool pool)`
    `void` | `write(DataOutputStream dos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionTableEntry

          public ExceptionTableEntry(int startPC,
                                     int endPC,
                                     int handlerPC,
                                     CPClass catchType)

      Create a new ExceptionTableEntry. Exception tables are of two kinds: either a normal one (with a Throwable as the catchType) or a finally clause (which has no catchType). In the class file, the finally clause is represented as catchType == 0. To create a finally clause with this method, pass in null for the catchType.
      Parameters:
        `startPC` - int
        `endPC` - int
        `handlerPC` - int
        `catchType` - CPClass (if it's a normal catch) or null (if it's a finally clause).

  - ### Method Detail

    - #### getCatchType

          public CPClass getCatchType()

    - #### renumber

          public void renumber(List<Integer> byteCodeOffsets)

    - #### resolve

          public void resolve(ClassConstantPool pool)

    - #### write

          public void write(DataOutputStream dos)
                     throws IOException

      Throws:
        `IOException`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.